\chapter{Discussion}


\begin{spacing}{1.2}
\noindent
The results obtained during my internship can be improved. Here are a few ideas on how to improve them:\\
\begin{itemize}

\item First, the test set was really small (only 20 patients) and its size might have caused some errors or some poorer results. Having a bigger test set might increase the results.\\

\item The accuracy on the classification task (with a DenseNet model and with a neural network after a segmentation task) will increase if we use the optimal threshold. This threshold can be computed using the g-mean method\footnotemark.\\

\item Finally, with a better segmentation (i.e if we manage to increase the dice score for both the myocardial infarction and the no-reflow area) the results of the classification (that is based on the segmentation maps) might improve. 
\end{itemize}

\footnotetext{This method is described in section 2.2.2 of this report.}


\end{spacing}